using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameController : MonoBehaviour
{
	[SerializeField]
	private ObjectsManager objectsManager;
	[SerializeField]
	private Score score;
	[SerializeField]
	private GameOver gameOver;

	public void StartGame()
	{
		objectsManager.StartObjectsManager();
		score.StartScoreCount();
	}

	public void EndGame()
	{
		score.StopScoreCount();
		objectsManager.StopObjectsManager();

		gameOver.EndGame();
	}
}
